Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCheckerboard Class Reference

`#include <vtkImageCheckerboard.h>`

Inheritance diagram for vtkImageCheckerboard:

[legend]
Collaboration diagram for vtkImageCheckerboard:

[legend]
List of all members.

## Detailed Description

show two images at once using a checkboard pattern

Date:
  2002/05/07 21:11:36

Revision:
  1.7

vtkImageCheckerboard displays two images as one using a checkerboard pattern. This filter can be used to compare two images. The checkerboard pattern is controlled by the NumberOfDivisions ivar. This controls the number of checkerboard divisions in the whole extent of the image.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (85%)
  - Pan, Tony (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageCheckerboard.cxx)`
  - .`h` (`/Imaging/vtkImageCheckerboard.h)`

Tests:
  vtkImageCheckerboard (Tests)

Definition at line 48 of file vtkImageCheckerboard.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfDivisions (int, int, int)
virtual void | SetNumberOfDivisions (int[3])
virtual int * | GetNumberOfDivisions ()
virtual void | GetNumberOfDivisions (int data[3])
## Static Public Methods
vtkImageCheckerboard * | New ()
int | IsTypeOf (const char *type)
vtkImageCheckerboard * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCheckerboard ()
| ~vtkImageCheckerboard ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | NumberOfDivisions [3]

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageCheckerboard::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 52 of file vtkImageCheckerboard.h.

## Constructor & Destructor Documentation

vtkImageCheckerboard::vtkImageCheckerboard | ( |  | ) | `[protected]`

vtkImageCheckerboard::~vtkImageCheckerboard | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkImageCheckerboard.h.

## Member Function Documentation

vtkImageCheckerboard* vtkImageCheckerboard::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCheckerboard::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageCheckerboard::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageCheckerboard::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageCheckerboard* vtkImageCheckerboard::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageCheckerboard::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

virtual void vtkImageCheckerboard::SetNumberOfDivisions | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the number of divisions along each axis.

virtual void vtkImageCheckerboard::SetNumberOfDivisions | ( | int | [3] | ) | `[virtual]`

| Set/Get the number of divisions along each axis.

virtual int* vtkImageCheckerboard::GetNumberOfDivisions | ( |  | ) | `[virtual]`

| Set/Get the number of divisions along each axis.

virtual void vtkImageCheckerboard::GetNumberOfDivisions | ( | int | data[3] | ) | `[virtual]`

| Set/Get the number of divisions along each axis.

void vtkImageCheckerboard::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

int vtkImageCheckerboard::NumberOfDivisions[3]`[protected]`

| Definition at line 67 of file vtkImageCheckerboard.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCheckerboard.h